#!/bin/bash
#
#
# 	Script d'initialisation d'un dépot vMap versionné sous git
#	Initislise l'ensemble des dépendances sous forme de subtrees
#
#
#


APP_NAME="vmap"

# Récupère la liste des dépendances
. ./get_deps.sh

cd ..

# Vitis
echo "---- Pull vitis ----"
git subtree pull --prefix src/vitis --squash -m "pull subtree"  "git@gitlab.veremes.net:Development/vitis_apps/sources/vitis.git" master

# Modules
if [[ $depsCount > 0 ]]; then
	for (( i=1; i <= $depsCount; i++ )); do
		if [ ${aDeps[$i, nature]} == "modules" ]; then
			echo "---- Pull ${aDeps[$i, name]} ----"

			# Ajoute le dépôt
			git subtree pull --prefix src/${aDeps[$i, name]} --squash -m "pull subtree" "git@gitlab.veremes.net:Development/vitis_apps/sources/${aDeps[$i, name]}.git" master
		fi
	done
fi
